using System;
using System.Collections.Generic;
using System.IO;
namespace Phoenix.Core
{
	internal class Class105
	{
		public Dictionary<string, string> dictionary_0;
		public Class105(string filePath)
		{
			this.dictionary_0 = new Dictionary<string, string>();
			if (File.Exists(filePath))
			{
				try
				{
					using (StreamReader streamReader = new StreamReader(filePath))
					{
						string text;
						while ((text = streamReader.ReadLine()) != null)
						{
							if (text.Length >= 1 && !text.StartsWith("#"))
							{
								int num = text.IndexOf('=');
								if (num != -1)
								{
									string key = text.Substring(0, num);
									string value = text.Substring((num + 1));
									this.dictionary_0.Add(key, value);
								}
							}
						}
						streamReader.Close();
					}
					return;
				}
				catch (Exception ex)
				{
					throw new Exception("Could not process configuration file: " + ex.Message);
				}
			}
			throw new Exception("Unable to locate configuration file at '" + filePath + "'.");
		}
	}
}
