using Phoenix.Collections;
using Phoenix.Core;
using Phoenix.HabboHotel.GameClients;
using Phoenix.Storage;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Threading;
using System.Threading.Tasks;
namespace Phoenix.HabboHotel.Rooms
{
	internal class Class20
	{
		private readonly object object_0 = new object();
		public readonly int int_0 = 15;
		private Class21 class21_0;
		private List<uint> list_0;
		private Dictionary<string, Class23> dictionary_0;
		private Hashtable hashtable_0;
		private List<Class24> list_1;
		private Task task_0;
		private DateTime dateTime_0;
		private List<uint> list_2;
		internal List<Class109> list_3;
		internal int Int32_0
		{
			get
			{
				return this.class21_0.Count;
			}
		}
		internal int Int32_1
		{
			get
			{
				int result = 0;
				using (Class13 @class = Class1.smethod_12().method_0())
				{
					result = int.Parse(@class.method_5("SELECT COUNT(*) FROM rooms"));
				}
				return result;
			}
		}
		internal void method_0()
		{
			GClass2.smethod_0("Loading Room Cache..");
			this.list_3 = new List<Class109>();
			
			{
				using (Class13 @class = Class1.smethod_12().method_0())
				{
					for (int i = 0; i < 12; i++)
					{
						DataTable dataTable = @class.method_3("SELECT * FROM rooms WHERE category = '" + i + "' AND roomtype = 'private' ORDER BY users_now DESC LIMIT 40");
						foreach (DataRow dataRow in dataTable.Rows)
						{
							this.list_3.Add(this.method_15((uint)dataRow["id"], dataRow));
						}
					}
				}
			}
		}
		private bool method_1(uint uint_0)
		{
			foreach (Class109 current in this.list_3)
			{
				if (current.uint_0 == uint_0)
				{
					return true;
				}
			}
			return false;
		}
		internal void method_2(uint uint_0)
		{
			if (this.method_1(uint_0))
			{
				this.method_0();
			}
		}
		public Class20()
		{
			this.class21_0 = new Class21();
			this.list_0 = new List<uint>();
			this.dictionary_0 = new Dictionary<string, Class23>();
			this.list_1 = new List<Class24>();
			this.list_2 = new List<uint>();
			this.hashtable_0 = new Hashtable();
			this.task_0 = new Task(new Action(this.method_6));
			this.task_0.Start();
		}
		internal void method_3()
		{
			using (Class22 class22_ = this.class21_0.Class22_0)
			{
				using (Class13 @class = Class1.smethod_12().method_0())
				{
					foreach (Class29 class2 in class22_.Values)
					{
						class2.method_58(@class);
					}
				}
				if (Class1.smethod_11().dictionary_0["emu.messages.roommgr"] == "1")
				{
					Console.WriteLine("[RoomMgr] Done with furniture saving, disposing rooms");
				}
				foreach (Class29 class3 in class22_.Values)
				{
					try
					{
						class3.method_55();
					}
					catch
					{
					}
				}
				if (Class1.smethod_11().dictionary_0["emu.messages.roommgr"] == "1")
				{
					Console.WriteLine("[RoomMgr] Done disposing rooms!");
				}
			}
		}
		public void method_4(Class24 class24_0)
		{
			this.list_1.Add(class24_0);
		}
		public List<Class29> method_5(int int_1)
		{
			List<Class29> list = new List<Class29>();
			try
			{
				using (Class22 class22_ = this.class21_0.Class22_0)
				{
					foreach (Class29 @class in class22_.Values)
					{
						if (@class.class110_0 != null)
						{
							if (int_1 <= 0 || @class.class110_0.int_0 == int_1)
							{
								list.Add(@class);
							}
						}
					}
				}
			}
			catch
			{
			}
			return list;
		}
		private void method_6()
		{
			Thread.Sleep(5000);
			try
			{
				while (true)
				{
					IL_0A:
					if (this.list_1.Count <= 0)
					{
						Thread.Sleep(500);
					}
					else
					{
						DateTime now = DateTime.Now;
						try
						{
							this.dateTime_0 = DateTime.Now;
							List<Class24> list = null;
							using (GStruct0.smethod_0(this.list_1))
							{
								list = this.list_1;
								this.list_1 = new List<Class24>();
							}
							if (list != null)
							{
								foreach (Class24 current in list)
								{
									if (current != null)
									{
										current.method_0();
									}
								}
							}
						}
						catch (Exception ex)
						{
							GClass2.smethod_1("Tele code error: " + ex.ToString());
						}
						finally
						{
							DateTime now2 = DateTime.Now;
							double num = 500.0 - (now2 - now).TotalMilliseconds;
							if (num < 0.0)
							{
								num = 0.0;
							}
							if (num > 500.0)
							{
								num = 500.0;
							}
							Thread.Sleep(((int)Math.Floor(num)));
						}
					}
				}
			}
			catch (Exception ex2)
			{
				GClass2.smethod_5(ex2.ToString(), "Room manager task (Process engine)");
				try
				{
					if (this.list_1 != null)
					{
						this.list_1.Clear();
					}
				}
				catch
				{
				}
				Thread.Sleep(500);
				//goto IL_0A;
			}
		}
		public void method_7(Class13 class13_0)
		{
			GClass2.smethod_0("Loading Room Models..");
			this.dictionary_0.Clear();
			DataTable dataTable = class13_0.method_3("SELECT id,door_x,door_y,door_z,door_dir,heightmap,club_only FROM room_models");
			if (dataTable == null)
			{
				return;
			}
			foreach (DataRow dataRow in dataTable.Rows)
			{
				string text = (string)dataRow["id"];
				this.dictionary_0.Add(text, new Class23(text, (int)dataRow["door_x"], (int)dataRow["door_y"], (double)dataRow["door_z"], (int)dataRow["door_dir"], (string)dataRow["heightmap"], Class1.smethod_3(dataRow["club_only"].ToString())));
			}
		}
		public Class23 method_8(string string_0, uint uint_0)
		{
			if (this.dictionary_0.ContainsKey(string_0))
			{
				return this.dictionary_0[string_0];
			}
			return null;
		}
		public Class109 method_9(uint uint_0)
		{
			if (this.method_10(uint_0) != null)
			{
				return this.method_10(uint_0);
			}
			Class109 @class = new Class109();
			@class.method_0(uint_0);
			return @class;
		}
		public Class109 method_10(uint uint_0)
		{
			Class109 @class = new Class109();
			if (this.hashtable_0.ContainsKey(uint_0))
			{
				return this.hashtable_0[uint_0] as Class109;
			}
			if (this.method_11(uint_0))
			{
				return this.method_17(uint_0).Class109_0;
			}
			DataRow dataRow = null;
			using (Class13 class2 = Class1.smethod_12().method_0())
			{
				dataRow = class2.method_4("SELECT * FROM rooms WHERE id = '" + uint_0 + "' LIMIT 1");
			}
			if (dataRow != null)
			{
				@class.method_1(dataRow);
				this.hashtable_0.Add(uint_0, @class);
				return @class;
			}
			return null;
		}
		public bool method_11(uint uint_0)
		{
			return this.class21_0.ContainsKey(uint_0);
		}
		public bool method_12(uint uint_0)
		{
			return this.list_0.Contains(uint_0);
		}
		internal Class29 method_13(uint uint_0)
		{
			Class29 @class = null;
			try
			{
				lock (this.object_0)
				{
					if (this.method_11(uint_0))
					{
						Class29 result = this.method_17(uint_0);
						return result;
					}
					Class109 class2 = this.method_10(uint_0);
					if (class2 == null)
					{
						Class29 result = null;
						return result;
					}
					@class = new Class29(class2.uint_0, class2.string_0, class2.string_1, class2.string_2, class2.string_3, class2.int_1, class2.int_0, class2.int_3, class2.string_5, class2.string_6, class2.int_4, class2.list_0, class2.bool_0, class2.bool_1, class2.bool_2, class2.bool_4, class2.Class85_0, class2.string_4, class2.string_7, class2.string_8, class2.string_9, class2, class2.bool_3, class2.int_5, class2.int_6, class2.uint_1, class2.int_7, class2.int_8);
					this.class21_0.Add(@class.UInt32_0, @class);
				}
			}
			catch
			{
				GClass2.smethod_0("Error while loading room " + uint_0 + ", we crashed out..");
				Class29 result = null;
				return result;
			}
			@class.method_0();
			@class.method_1();
			return @class;
		}
		internal void method_14(Class29 class29_0)
		{
			if (class29_0 == null)
			{
				return;
			}
			this.class21_0.Remove(class29_0.UInt32_0);
			class29_0.method_55();
			if (Class1.smethod_11().dictionary_0["emu.messages.roommgr"] == "1")
			{
				GClass2.smethod_0("[RoomMgr] Unloaded room [ID: " + class29_0.UInt32_0 + "]");
			}
		}
		public Class109 method_15(uint uint_0, DataRow dataRow_0)
		{
			if (this.hashtable_0.ContainsKey(uint_0))
			{
				return this.hashtable_0[uint_0] as Class109;
			}
			Class109 @class = new Class109();
			if (this.method_11(uint_0))
			{
				@class = this.method_17(uint_0).Class109_0;
			}
			else
			{
				@class.method_1(dataRow_0);
			}
			this.hashtable_0.Add(uint_0, @class);
			return @class;
		}
		public void method_16(uint uint_0)
		{
			this.hashtable_0.Remove(uint_0);
		}
		public Class29 method_17(uint uint_0)
		{
			if (this.class21_0.ContainsKey(uint_0))
			{
				return this.class21_0[uint_0] as Class29;
			}
			return null;
		}
		public Class109 method_18(Class3 class3_0, string string_0, string string_1)
		{
			string_0 = Class1.smethod_7(string_0);
			if (!this.dictionary_0.ContainsKey(string_1))
			{
				class3_0.method_8("Sorry, this room model has not been added yet. Try again later.");
				return null;
			}
			if (this.dictionary_0[string_1].bool_0 && !class3_0.method_2().method_24().method_2("habbo_club") && !class3_0.method_2().method_24().method_2("habbo_vip"))
			{
				class3_0.method_8("You must be an Phoenix Club member to use that room layout.");
				return null;
			}
			if (string_0.Length >= 3)
			{
				uint uint_ = 0u;
				using (Class13 @class = Class1.smethod_12().method_0())
				{
					@class.method_0("caption", string_0);
					@class.method_0("model", string_1);
					@class.method_0("username", class3_0.method_2().string_0);
					@class.method_1("INSERT INTO rooms (roomtype,caption,owner,model_name) VALUES ('private',@caption,@username,@model)");
					class3_0.method_2().Class12_0.DataTable_10 = @class.method_3("SELECT * FROM rooms WHERE owner = @username ORDER BY id ASC");
					uint_ = (uint)@class.method_4("SELECT id FROM rooms WHERE owner = @username AND caption = @caption ORDER BY id DESC")[0];
					class3_0.method_2().method_5(@class);
				}
				return this.method_10(uint_);
			}
			class3_0.method_8("Room name is too short for room creation!");
			return null;
		}
		internal Dictionary<Class29, int> method_19()
		{
			Dictionary<Class29, int> dictionary = new Dictionary<Class29, int>();
			using (Class22 class22_ = this.class21_0.Class22_0)
			{
				foreach (Class29 @class in class22_.Values)
				{
					if (@class != null && @class.Int32_0 > 0)
					{
						dictionary.Add(@class, @class.Int32_0);
					}
				}
			}
			return dictionary;
		}
	}
}
