using Phoenix.Core;
using Phoenix.Messages;
using Phoenix.Storage;
using System;
using System.Collections.Generic;
using System.Data;
namespace Phoenix.HabboHotel.Support
{
	internal class Class120
	{
		public Dictionary<uint, Class121> dictionary_0;
		public Dictionary<uint, Class122> dictionary_1;
		public List<Class122> list_0;
		public List<Class122> list_1;
		public Class120()
		{
			this.dictionary_0 = new Dictionary<uint, Class121>();
			this.dictionary_1 = new Dictionary<uint, Class122>();
			this.list_0 = new List<Class122>();
			this.list_1 = new List<Class122>();
		}
		public void method_0(Class13 class13_0)
		{
			GClass2.smethod_0("Loading Help Categories..");
			this.dictionary_0.Clear();
			DataTable dataTable = class13_0.method_3("SELECT id, caption FROM help_subjects");
			if (dataTable != null)
			{
				foreach (DataRow dataRow in dataTable.Rows)
				{
					this.dictionary_0.Add((uint)dataRow["id"], new Class121((uint)dataRow["id"], (string)dataRow["caption"]));
				}
				return;
			}
		}
		public Class121 method_1(uint uint_0)
		{
			if (this.dictionary_0.ContainsKey(uint_0))
			{
				return this.dictionary_0[uint_0];
			}
			return null;
		}
		public void method_2()
		{
			this.dictionary_0.Clear();
		}
		public void method_3(Class13 class13_0)
		{
			GClass2.smethod_0("Loading Help Topics..");
			this.dictionary_1.Clear();
			DataTable dataTable = class13_0.method_3("SELECT id, title, body, subject, known_issue FROM help_topics");
			if (dataTable != null)
			{
				foreach (DataRow dataRow in dataTable.Rows)
				{
					Class122 @class = new Class122((uint)dataRow["id"], (string)dataRow["title"], (string)dataRow["body"], (uint)dataRow["subject"]);
					this.dictionary_1.Add((uint)dataRow["id"], @class);
					int num = int.Parse(dataRow["known_issue"].ToString());
					if (num != 1)
					{
						if (num == 2)
						{
							this.list_0.Add(@class);
						}
					}
					else
					{
						this.list_1.Add(@class);
					}
				}
				return;
			}
		}
		public Class122 method_4(uint uint_0)
		{
			if (this.dictionary_1.ContainsKey(uint_0))
			{
				return this.dictionary_1[uint_0];
			}
			return null;
		}
		public void method_5()
		{
			this.dictionary_1.Clear();
			this.list_0.Clear();
			this.list_1.Clear();
		}
		public int method_6(uint uint_0)
		{
			int num = 0;
			
			{
				using (GStruct0.smethod_0(this.dictionary_1))
				{
					foreach (Class122 current in this.dictionary_1.Values)
					{
						if (current.uint_1 == uint_0)
						{
							num++;
						}
					}
				}
				return num;
			}
		}
		public GClass6 method_7()
		{
			GClass6 gClass = new GClass6(518u);
			gClass.method_9(this.list_0.Count);
			using (GStruct0.smethod_0(this.list_0))
			{
				foreach (Class122 current in this.list_0)
				{
					gClass.method_11(current.UInt32_0);
					gClass.method_7(current.string_0);
				}
			}
			gClass.method_9(this.list_1.Count);
			using (GStruct0.smethod_0(this.list_1))
			{
				foreach (Class122 current2 in this.list_1)
				{
					gClass.method_11(current2.UInt32_0);
					gClass.method_7(current2.string_0);
				}
			}
			return gClass;
		}
		public GClass6 method_8()
		{
			GClass6 gClass = new GClass6(519u);
			gClass.method_9(this.dictionary_0.Count);
			using (GStruct0.smethod_0(this.dictionary_0))
			{
				foreach (Class121 current in this.dictionary_0.Values)
				{
					gClass.method_11(current.UInt32_0);
					gClass.method_7(current.string_0);
					gClass.method_9(this.method_6(current.UInt32_0));
				}
			}
			return gClass;
		}
		public GClass6 method_9(Class122 class122_0)
		{
			GClass6 gClass = new GClass6(520u);
			gClass.method_11(class122_0.UInt32_0);
			gClass.method_7(class122_0.string_1);
			return gClass;
		}
		public GClass6 method_10(string string_0)
		{
			DataTable dataTable = null;
			using (Class13 @class = Class1.smethod_12().method_0())
			{
				@class.method_0("query", string_0);
				dataTable = @class.method_3("SELECT id,title FROM help_topics WHERE title LIKE @query OR body LIKE @query LIMIT 25");
			}
			GClass6 gClass = new GClass6(521u);
			if (dataTable != null)
			{
				gClass.method_9(dataTable.Rows.Count);
				foreach (DataRow dataRow in dataTable.Rows)
				{
					gClass.method_11((uint)dataRow["id"]);
					gClass.method_7((string)dataRow["title"]);
				}
				return gClass;
			}
			gClass.method_13(false);
			return gClass;
		}
		public GClass6 method_11(Class121 class121_0)
		{
			GClass6 gClass = new GClass6(522u);
			gClass.method_11(class121_0.UInt32_0);
			gClass.method_7("");
			gClass.method_9(this.method_6(class121_0.UInt32_0));
			using (GStruct0.smethod_0(this.dictionary_1))
			{
				foreach (Class122 current in this.dictionary_1.Values)
				{
					if (current.uint_1 == class121_0.UInt32_0)
					{
						gClass.method_11(current.UInt32_0);
						gClass.method_7(current.string_0);
					}
				}
			}
			return gClass;
		}
	}
}
